require 'studio_game/treasure_trove'

module StudioGame   
  describe Treasure do
    
    before do
      @treasure = Treasure.new(:hammer, 50)
    end
    
    it "has a name attribute" do
      expect(@treasure.name).to eq(:hammer)
    end
    
    it "has a points attribute" do
      expect(@treasure.points).to eq(50)
    end
    
  end
  
  describe TreasureTrove do
    
    it "has six treasures" do
      expect(TreasureTrove::TREASURES.size).to eq(6)
    end
    
    it "has a pie worth 5 points" do
      pie = Treasure.new(:pie, 5)
      expect(TreasureTrove::TREASURES).to include(pie)
    end
    
    it "has a bottle worth 25 points" do
      bottle = Treasure.new(:bottle, 25)
      expect(TreasureTrove::TREASURES).to include(bottle)
    end
    
    it "has a hammer worth 50 points" do
      hammer = Treasure.new(:hammer, 50)
      expect(TreasureTrove::TREASURES).to include(hammer)
    end
    
    it "has a skillet worth 100 points" do
      skillet = Treasure.new(:skillet, 100)
      expect(TreasureTrove::TREASURES).to include(skillet)
    end
  
    it "has a broomstick worth 200 points" do
      broomstick = Treasure.new(:broomstick, 200)
      expect(TreasureTrove::TREASURES).to include(broomstick)
    end
    
    it "has a crowbar worth 400 points" do
      crowbar = Treasure.new(:crowbar, 400)
      expect(TreasureTrove::TREASURES).to include(crowbar)
    end
  
    it "returns a random treasure" do
      treasure = TreasureTrove.random
    
      expect(TreasureTrove::TREASURES).to include(treasure)
    end
  
  end
end
